<?php
checkLogin('usr');
checkEnteService($serv_cod);
include(ROOT."/includes/modules/servizi/functions.inc.php");
include(ROOT."/includes/modules/anagrafiche/functions.inc.php");

dbConnect();

//salvataggio anagrafica
if(isset($_POST['save'])){

	if(intval($_POST['anagr_id']) == 0){
		
		if(intval($_POST['genitore']) == 0)
			printMsg("Selezionare se si &egrave; il <strong>Genitore</strong> o l'<strong>Avente patria potest&agrave;</strong>",'danger');
		if(empty($_POST['nome']))
			printMsg("Completare il campo <strong>Nome</strong>",'danger');
		if(empty($_POST['cognome']))
			printMsg("Completare il campo <strong>Cognome</strong>",'danger');
		if(!is_codfis($_POST['codfis']))
			printMsg("Inserire il <strong>Codice fiscale</strong> corretto",'danger');
		if(empty($_POST['indirizzo']))
			printMsg("Completare il campo <strong>Indirizzo di residenza</strong>",'danger');
		if(intval($_POST['provincia']) == 0)
			printMsg("Selezionare la <strong>Provincia di residenza</strong>",'danger');
		if(empty($_POST['comune']) && $_POST['provincia'] <> 111)
			printMsg("Selezionare il <strong>Comune di residenza</strong>",'danger');
		
			
		//controllo codice fiscale non sia gia in uso
		$result = $mysqli->query($q="SELECT * FROM anagrafiche WHERE anagr_codfis = ".dbClean(strtoupper($_POST['codfis']))."  AND anno = ".intval($_SESSION['user']['ente_anno'])." LIMIT 1");
		if($result->num_rows > 0){
			$row = $result->fetch_assoc();
			
			//e' stato inserito dall'amministratore, lo allego all'utente corrente
			if($row['user_id'] == NULL){
				$created_by_admin = true;
				$anagr_id = $row['anagr_id'];
				$mysqli->query("UPDATE anagrafiche SET user_id = ".$_SESSION['user']['id'].", user_is_genitore=".intval($_POST['genitore'])." 
				WHERE anagr_id = ".$anagr_id." AND ente_id = ".$_SESSION['user']['ente_id']);
			
			//e' un'anagrafica che ho gia' inserito, controllo se ha gia il servizio attivo per capire quale messaggio restituire
			}elseif($row['user_id'] == $_SESSION['user']['id']){
				$anagr_id = $row['anagr_id'];			
				if(anagr_has_serv($anagr_id,$serv_cod))
					printMsg("<strong>Hai gi&agrave; iscritto questa anagrafica al servizio ".$serv_name."!</strong>",'warning');
				else
					printMsg("Anagrafica gi&agrave; registrata. Selezionala dal menu rosso in alto per iscriverla al servizio!",'warning');

			}else
				printMsg("Codice fiscale gi&agrave; in uso",'danger');
		}
		
		if(!$anagr_id){
			$result = $mysqli->query("INSERT INTO anagrafiche (
			ente_id, user_id, user_is_genitore,
			anagr_nome,anagr_cognome,anagr_ind,anagr_codfis,provincia_id,comune_id,anno) VALUES (
			".$_SESSION['user']['ente_id'].",
			".$_SESSION['user']['id'].",
			".intval($_POST['genitore']).",
			".dbClean(welltxt($_POST['nome'])).",
			".dbClean(welltxt($_POST['cognome'])).",
			".dbClean(welltxt($_POST['indirizzo'])).",
			".dbClean(strtoupper($_POST['codfis'])).",
			".intval($_POST['provincia']).",
			".intval($_POST['comune']).",
			".$_SESSION['user']['ente_anno']."
			)");
	
			if(!$result)
				printMsg("<strong>Attenzione!</strong> Errore durante il salvataggio. Contattare l'Ente",'danger');
	
			$anagr_id = $mysqli->insert_id;
	
		}
	}else{
		$anagr_id = intval($_POST['anagr_id']);
		
		if(!$anagr = get_anagr($anagr_id))
			printMsg("Azione non consentita","danger");
			
		$_POST['nome'] = $anagr['anagr_nome'];
	}
	
	//controllo se e' gia' stata iscritta al servizio da me
	if(anagr_has_serv($anagr_id,$serv_cod)){
		
		if(!$created_by_admin)
			printMsg("<strong>Hai gi&agrave; iscritto questa anagrafica al servizio!</strong>",'warning');
	
	//creo record servizio
	}/*else{
		$result = $mysqli->query("INSERT INTO serv_".$serv_cod." (anagr_id) VALUES (".$anagr_id.")");
		if(!$result)
			printMsg("Errore durante il salvataggio, contattare l'Ente","danger");
		
		//assegnazione al servizio
		assign_anagr_servizio($anagr_id,$serv_cod);
	}*/
		
	
	Js('window.location="../usr/?id='.$anagr_id.'&newanagr";');
	die();
	
}

$p = new Page('Iscrizione al Servizio');
$p->addMenu('logged');
$p->printHeader();
?>
<h3 class="p-title"><a class="btn-back" href="javascript:;" onClick="window.history.back()"><span class="glyphicon glyphicon-chevron-left"></span></a> Iscrizione al Servizio <?php echo $serv_name.$_SESSION['user']['ente_anno'];?></h3>
<div class="panel panel-default">
	<div class="panel-body">


        <form role="form" class="form-horizontal" action="<?php echo $_SERVER['REQUEST_URI'];?>" onSubmit="return post(this,'f-result')">
            
		<?php 
        //elenco anagrafiche che posso eventualmente avere gia' inserito
        if($anagr = get_anagr()){
            foreach($anagr['list'] as $v){
                if(!anagr_has_serv($v['anagr_id'],$serv_cod)){
					$opts .= '<li role="presentation" value="'.$v['anagr_id'].'"><a role="menuitem" tabindex="-1" href="#">'.entities($v['anagr_nome'].' '.$v['anagr_cognome']).'</a></li>';
                }
            }
            
            if($opts){
                echo '
                <div class="form-group m-top-5">
                    <div class="col-sm-6">
						<div class="dropdown">
						  <button class="btn btn-danger dropdown-toggle" type="button" id="sel-anagr-dropdown" data-toggle="dropdown">
							<span class="glyphicon glyphicon-user"></span>&nbsp; <span id="sel-anagr-label">Usa un\'anagrafica esistente</span>
							<span class="caret"></span>
						  </button>
						  <ul class="dropdown-menu" id="sel-anagr-ul" role="menu" aria-labelledby="sel-anagr-dropdown">
							<li class="hidden" role="presentation" value=""><a role="menuitem" tabindex="-1" href="#"><span class="glyphicon glyphicon-plus"></span> Inserisci nuova anagrafica</a></li>
							'.$opts.'
						  </ul>
						</div>			
                    </div>
                </div>
                <div class="text-info m-top-5 m-bottom-10 new-anagr-block text-warning"><strong>Oppure inserisci una nuova anagrafica</strong></div>
				
                ';	
				
				$class = array('panel panel-default new-anagr-block','panel-body');
			}
		}
        ?>
            
        <div class="<?php echo $class[0];?>"><div class="<?php echo $class[1];?>">
       
            <div class="form-group">
                <div class="col-xs-12">
                    Il sottoscritto <strong><?php echo entities($_SESSION['user']['cognome'].' '.$_SESSION['user']['nome']);?></strong> in qualit&agrave; di
                </div>
                <div class="clearfix"></div>
                <div class="col-sm-3">
                    <div class="radio">
                        <label>
                          <input type="radio" name="genitore" id="genitore" value="1"> <strong>Genitore</strong>
                        </label>
                    </div>         
                </div>
                <div class="col-sm-6">
                    <div class="radio">
                        <label>
                          <input type="radio" name="genitore" id="patriap" value="2"> <strong>Avente la patri&agrave; potest&agrave;</strong>
                        </label>
                    </div>         
                </div>
            </div>
                
            <div class="text-info m-top-bottom-5"><?php echo $form_intro;?></div>
            
            <div class="form-group-inline">
            
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">Nome</label>
                        <input class="form-control" type="text" maxlength="40" name="nome" value="<?php echo entities($anagr['anagr_nome']);?>" />
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Cognome</label>
                        <input class="form-control" type="text" maxlength="40" name="cognome" value="<?php echo entities($anagr['anagr_cognome']);?>" />
                    </div>
                </div>
                
                 <div class="form-group">
                    <div class="col-sm-6">
                        <div class="row">
                            <label class="control-label col-xs-12">Codice Fiscale</label>
                            <div class="col-xs-12 col-md-8">
                                <input class="form-control" type="text" maxlength="16" name="codfis" value="<?php echo entities($anagr['anagr_codfis']);?>" />
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Indirizzo di Residenza</label>
                        <input class="form-control" type="text" maxlength="40" name="indirizzo" value="<?php echo entities($anagr['anagr_ind']);?>" />
                    </div>
                 </div>                 
                 <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">Provincia residenza</label>
                        <select class="form-control" name="provincia" onChange="selXmlPop('#sel_comune','comuni',this.value)">
                            <option value=""></option>
                            <?php print_province_opts() ;?>
                        </select>
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Comune di Residenza</label>
                        <select class="form-control" name="comune" id="sel_comune" disabled>
                            <option value=""></option>
                        </select>
                    </div>
                </div>
            </div>
            
            </div></div>
            
            <div id="f-result"></div>
        
            <div class="form-buttons">
                <button type="submit" class="btn btn-primary">Prosegui</button>
                <button type="button" class="btn btn-default" onClick="history.back()">Indietro</button>
            </div>
            <input type="hidden" name="save"  value="1">
            <input type="hidden" name="anagr_id" id="anagr_id"  value="">
        </form>
    </div>
</div>
<script>
$(function(){
	$('#sel-anagr-ul li').click(function(e) {
		var val = $(this).attr('value');
		if(val != ""){
			$('.new-anagr-block').hide();
			$('#sel-anagr-ul li:first').removeClass('hidden');
			$('#sel-anagr-label').html($(this).find('a').text());
			$(this).hide();
		}else{
			$('.new-anagr-block, #sel-anagr-ul li').show();
			$('#sel-anagr-ul li:first').addClass('hidden');
			$('#sel-anagr-label').html("Usa un'anagrafica esistente");
		}

        $('#anagr_id').val(val);
    });
})
</script>
<?php
$p->printFooter();
?>